diff tests/test-lab-writer/test-lab-writer.sh @ 161:4b19d824a213 jams

Merge from default branch
author Chris Cannam
date Wed, 15 Oct 2014 11:33:14 +0100
parents 237ccacbb85e
children 704a8b27f3ed
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-lab-writer/test-lab-writer.sh	Wed Oct 15 11:33:14 2014 +0100
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+. ../include.sh
+
+infile=$audiopath/20sec-silence.wav
+tmplab=$mypath/tmp_1_$$.lab
+
+trap "rm -f $tmplab" 0
+
+for output in notes-regions curve-vsr; do
+
+    flag=""
+
+    $r -d "$testplug:$output" -w lab --lab-stdout "$infile" 2>/dev/null > "$tmplab" || \
+	fail "Failed to run for plugin $testplug with output $output and no additional flags"
+
+    csvcompare "$tmplab" "$mypath/expected/$output-no-flags.lab" || \
+	faildiff "Output differs from expected for output $output and no additional flags" "$tmplab" "$mypath/expected/$output-no-flags.lab"
+
+    flag=fill-ends
+
+    $r -d "$testplug:$output" -w lab --lab-$flag --lab-stdout "$infile" 2>/dev/null > "$tmplab" || \
+	fail "Failed to run for plugin $testplug with output $output and $flag flag"
+
+    csvcompare "$tmplab" "$mypath/expected/$output-$flag.lab" || \
+	faildiff "Output differs from expected for output $output and $flag flag" "$tmplab" "$mypath/expected/$output-$flag.lab"
+done
+
+# Do it all over again, but using the CSV writer. The Lab writer is
+# actually redundant, it's equivalent to -w csv --csv-separator '\t'
+# --csv-end-times --csv-omit-filename
+
+for output in notes-regions curve-vsr; do
+
+    flag=""
+
+    $r -d "$testplug:$output" -w csv --csv-separator '\t' --csv-end-times --csv-omit-filename --csv-stdout "$infile" 2>/dev/null > "$tmplab" || \
+	fail "Failed to run for plugin $testplug and CSV writer with output $output and no additional flags"
+
+    csvcompare "$tmplab" "$mypath/expected/$output-no-flags.lab" || \
+	faildiff "Output differs from expected for CSV writer with output $output and no additional flags" "$tmplab" "$mypath/expected/$output-no-flags.lab"
+
+    flag=fill-ends
+
+    $r -d "$testplug:$output" -w csv --csv-separator '\t' --csv-end-times --csv-omit-filename --csv-$flag --csv-stdout "$infile" 2>/dev/null > "$tmplab" || \
+	fail "Failed to run for plugin $testplug and CSV writer with output $output and $flag flag"
+
+    csvcompare "$tmplab" "$mypath/expected/$output-$flag.lab" || \
+	faildiff "Output differs from expected for CSV writer with output $output and $flag flag" "$tmplab" "$mypath/expected/$output-$flag.lab"
+done
+
+exit 0
+